Package org.pushingpixels.substance.api

# Enum Class SubstanceConstants.ImageWatermarkKind

java.lang.Object
java.lang.Enum<SubstanceConstants.ImageWatermarkKind>
org.pushingpixels.substance.api.SubstanceConstants.ImageWatermarkKind

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceConstants.ImageWatermarkKind>`, `Constable`

Enclosing class:
  `SubstanceConstants`

public static enum SubstanceConstants.ImageWatermarkKind extends Enum<SubstanceConstants.ImageWatermarkKind>
Enumerates of image-based watermarks kinds.

See Also:
  - `SubstanceImageWatermark.setKind(org.pushingpixels.substance.api.SubstanceConstants.ImageWatermarkKind)`
  - `SubstanceImageWatermark.getKind()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`APP_ANCHOR`
The image is anchored to the top-left corner of the application frame and not scaled.
`APP_CENTER`
The image is anchored to the center of the application frame and not scaled.
`APP_TILE`
The image is tiled starting from the top-left corner of the application frame and not scaled.
`SCREEN_CENTER_SCALE`
The default behaviour.
`SCREEN_TILE`
The image is tiled starting from the screen top-left corner and not scaled.

## Method Summary

Modifier and Type
Method
Description
`static SubstanceConstants.ImageWatermarkKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceConstants.ImageWatermarkKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SCREEN_CENTER_SCALE

public static final SubstanceConstants.ImageWatermarkKind SCREEN_CENTER_SCALE
The default behaviour. The image is centered in the screen and scaled down if necessary.

### SCREEN_TILE

public static final SubstanceConstants.ImageWatermarkKind SCREEN_TILE
The image is tiled starting from the screen top-left corner and not scaled.

### APP_ANCHOR

public static final SubstanceConstants.ImageWatermarkKind APP_ANCHOR
The image is anchored to the top-left corner of the application frame and not scaled.

### APP_CENTER

public static final SubstanceConstants.ImageWatermarkKind APP_CENTER
The image is anchored to the center of the application frame and not scaled.

### APP_TILE

public static final SubstanceConstants.ImageWatermarkKind APP_TILE
The image is tiled starting from the top-left corner of the application frame and not scaled.

## Method Details

### values

public static SubstanceConstants.ImageWatermarkKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceConstants.ImageWatermarkKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null